Skip to main content
GET
Get Cron

Path Parameters

cron_id
string<uuid>
required

Response

Success

Represents a scheduled task.

cron_id
string<uuid>
required

The ID of the cron.

thread_id
string<uuid>
required

The ID of the thread.

end_time
string<date-time>
required

The end date to stop running the cron.

schedule
string
required

The schedule to run, cron format.

created_at
string<date-time>
required

The time the cron was created.

updated_at
string<date-time>
required

The last time the cron was updated.

payload
Payload · object
required

The run payload to use for creating new run.

enabled
boolean
default:true
required

Whether the cron job should be enabled. Disabled crons are not executed.

assistant_id
string<uuid> | null

The ID of the assistant.

user_id
string | null

The ID of the user.

next_run_date
string<date-time> | null

The next run date of the cron.

metadata
Metadata · object

The cron metadata.